Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class UploadFile

    java.lang.Object
      com.fujitsu.iflow.model.util.UploadFile

public class UploadFile
extends java.lang.Object

Field Summary
`static int` | `SAVEAS_AUTO`
`static int` | `SAVEAS_PHYSICAL`
`static int` | `SAVEAS_VIRTUAL`

Method Summary
`byte` | `getBinaryData(int index)`
`java.lang.String` | `getContentDisp()`
`java.lang.String` | `getContentType()`
`protected int` | `getEndData()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getFileExt()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getFilePathName()`
`java.io.InputStream` | `getInputStream()`
`int` | `getSize()`
`protected int` | `getStartData()`
`java.lang.String` | `getSubTypeMIME()`
`java.lang.String` | `getTypeMIME()`
`boolean` | `isMissing()`
`void` | `saveAs(java.lang.String destFilePathName)`
`void` | `saveAs(java.lang.String destFilePathName, int optionSaveAs)`
`protected void` | `setContentDisp(java.lang.String contentDisp)`
`protected void` | `setContentType(java.lang.String contentType)`
`protected void` | `setEndData(int endData)`
`protected void` | `setFieldName(java.lang.String fieldName)`
`protected void` | `setFileExt(java.lang.String fileExt)`
`protected void` | `setFileName(java.lang.String fileName)`
`protected void` | `setFilePathName(java.lang.String filePathName)`
`protected void` | `setIsMissing(boolean isMissing)`
`protected void` | `setParent(Upload parent)`
`protected void` | `setSize(int size)`
`protected void` | `setStartData(int startData)`
`protected void` | `setSubTypeMIME(java.lang.String subTypeMime)`
`protected void` | `setTypeMIME(java.lang.String TypeMime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAVEAS_AUTO

    public static final int SAVEAS_AUTO

See Also:
  Constant Field Values

### SAVEAS_VIRTUAL

    public static final int SAVEAS_VIRTUAL

See Also:
  Constant Field Values

### SAVEAS_PHYSICAL

    public static final int SAVEAS_PHYSICAL

See Also:
  Constant Field Values

Method Detail

### saveAs

    public void saveAs(java.lang.String destFilePathName)
                throws java.lang.Exception,
                       java.io.IOException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`

### saveAs

    public void saveAs(java.lang.String destFilePathName,
                       int optionSaveAs)
                throws java.lang.Exception,
                       java.io.IOException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`

### isMissing

    public boolean isMissing()

### getFieldName

    public java.lang.String getFieldName()

### getFileName

    public java.lang.String getFileName()

### getFilePathName

    public java.lang.String getFilePathName()

### getFileExt

    public java.lang.String getFileExt()

### getContentType

    public java.lang.String getContentType()

### getContentDisp

    public java.lang.String getContentDisp()

### getInputStream

    public java.io.InputStream getInputStream()

### getTypeMIME

    public java.lang.String getTypeMIME()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSubTypeMIME

    public java.lang.String getSubTypeMIME()

### getSize

    public int getSize()

### getStartData

    protected int getStartData()

### getEndData

    protected int getEndData()

### setParent

    protected void setParent(Upload parent)

### setStartData

    protected void setStartData(int startData)

### setEndData

    protected void setEndData(int endData)

### setSize

    protected void setSize(int size)

### setIsMissing

    protected void setIsMissing(boolean isMissing)

### setFieldName

    protected void setFieldName(java.lang.String fieldName)

### setFileName

    protected void setFileName(java.lang.String fileName)

### setFilePathName

    protected void setFilePathName(java.lang.String filePathName)

### setFileExt

    protected void setFileExt(java.lang.String fileExt)

### setContentType

    protected void setContentType(java.lang.String contentType)

### setContentDisp

    protected void setContentDisp(java.lang.String contentDisp)

### setTypeMIME

    protected void setTypeMIME(java.lang.String TypeMime)

### setSubTypeMIME

    protected void setSubTypeMIME(java.lang.String subTypeMime)

### getBinaryData

    public byte getBinaryData(int index)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD